package com.supervision.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * @author ljt on 2022/08/13.
 * 创建时间和更新时间自动填充
 */
@Component
public class MyBatisMetaObjectHandler implements MetaObjectHandler {
    // 使用MP进行添加操作，该方法执行
    @Override
    public void insertFill(MetaObject metaObject) {
        //属性名称，不是字段名称
        this.setFieldValByName("createTime", LocalDateTime.now(), metaObject);
        this.setFieldValByName("updateTime", LocalDateTime.now(), metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        // 使用MP进行修改操作，该方法执行
        this.setFieldValByName("updateTime", LocalDateTime.now(), metaObject);
    }
}
