package com.supervision.manage.controller;


import com.supervision.manage.service.AncillaryItemManageService;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "辅助检查项管理")
@RestController
@RequestMapping("ancillaryItem")
@RequiredArgsConstructor
public class AncillaryItemManageController {

    private final AncillaryItemManageService ancillaryItemManageService;
    @ApiOperation("查询辅助检查项目列表")
    @GetMapping("queryAncillaryItemList")
    public List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo) {
        return ancillaryItemManageService.queryAncillaryItemList(ancillaryItemReqVo);
    }
}
