package com.supervision.manage.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.manage.service.AskQuestionLibraryManageService;
import com.supervision.model.CommonDic;
import com.supervision.model.Disease;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "问题库管理")
@RestController
@RequestMapping("aqLibrary")
@RequiredArgsConstructor
public class AskQuestionLibraryManageController {

    private final AskQuestionLibraryManageService askQuestionLibraryManageService;
    @ApiOperation("查询问题库列表")
    @GetMapping("/queryList")
    public List<AskQuestionLibraryResVo> queryList(AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return askQuestionLibraryManageService.queryList(askQuestionLibraryReqVo);

    }

    @ApiOperation("分页查询问题库列表")
    @GetMapping("/queryPageList")
    public Page<AskQuestionLibraryResVo> queryPageList(@RequestParam(defaultValue = "1") Integer pageNum,
                                                       @RequestParam(defaultValue = "10") Integer pageSize,
                                                       AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return askQuestionLibraryManageService.queryPageList(pageNum, pageSize, askQuestionLibraryReqVo);

    }


    @ApiOperation("查询问题类目编码列表")
    @GetMapping("/queryItemList")
    public List<CommonDic> queryItemList() {

        return askQuestionLibraryManageService.queryItemList();

    }

}
