package com.supervision.manage.controller;

import com.supervision.manage.service.PhysicalToolManageService;
import com.supervision.vo.ask.ConfigPhysicalToolResVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "体格检查工具管理")
@RestController
@RequestMapping("physicalTool")
@RequiredArgsConstructor
public class PhysicalToolManageController {

    private final PhysicalToolManageService physicalToolManageService;

    @ApiOperation(value = "查询体格检查的工具列表")
    @GetMapping("queryPhysicalToolList")
    public List<ConfigPhysicalToolResVO> queryPhysicalToolList() {

        return physicalToolManageService.queryPhysicalToolList();
    }

}
