package com.supervision.manage.controller.diseasemanage;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.exception.BusinessException;
import com.supervision.manage.service.DiseaseManageService;
import com.supervision.model.Disease;
import com.supervision.vo.manage.DiseaseVo;
import io.swagger.annotations.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Api(tags = "疾病管理")
@RestController
@RequestMapping("disease")
@RequiredArgsConstructor
public class DiseaseManageController {


    private final DiseaseManageService diseaseManageService;


    @PostMapping("/save")
    @ApiOperation("新增疾病")
    @ApiModelProperty
    public Disease saveDisease(@RequestBody Disease disease) {

        return diseaseManageService.saveDisease(disease);
    }

    @ApiOperation("删除疾病")
    @DeleteMapping("/delete")
    public boolean deleteDisease(@ApiParam("疾病id") @RequestParam String id) {

        if (StrUtil.isEmpty(id)){
            throw new BusinessException("id is not allow empty");
        }
        return diseaseManageService.deleteDisease(id);

    }


    @ApiOperation("修改疾病信息")
    @PutMapping("/update")
    public boolean updateDisease(@RequestBody Disease disease) {

        return diseaseManageService.updateDisease(disease);

    }


    @ApiOperation("查询分页疾病列表")
    @GetMapping("/queryPageList")
    public Page<Disease> queryPageList(@RequestParam(defaultValue = "1")Integer pageNum,
                                       @RequestParam(defaultValue = "10")Integer pageSize,
                                        DiseaseVo diseaseVo) {

        return diseaseManageService.queryPageList(pageNum,pageSize,diseaseVo);

    }








}
