package com.supervision.manage.controller.diseasemanage;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.manage.service.DiseaseTreatmentPlanManageService;
import com.supervision.model.ConfigTreatmentPlan;
import com.supervision.model.DiseaseTreatmentPlan;
import com.supervision.vo.manage.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病处置计划管理")
@RestController
@RequestMapping("diseaseTreatmentPlan")
@RequiredArgsConstructor
public class DiseaseTreatmentPlanManageController {


    private final DiseaseTreatmentPlanManageService diseaseTreatmentPlanManageService;

    @ApiOperation("保存处置信息")
    @PostMapping("/save")
    public String saveTreatmentPlan(@RequestBody DiseaseTreatmentPlan diseaseTreatmentPlan) {

        DiseaseTreatmentPlan result = diseaseTreatmentPlanManageService.saveTreatmentPlan(diseaseTreatmentPlan);
        return result.getId();
    }


    @ApiOperation("批量保存处置信息")
    @PostMapping("/batchSave")
    public boolean batchSaveTreatmentPlan(@RequestBody List<DiseaseTreatmentPlan> diseaseTreatmentPlanList) {

        diseaseTreatmentPlanManageService.batchSaveTreatmentPlan(diseaseTreatmentPlanList);
        return true;
    }

    @ApiOperation("根据疾病id查询疾病处置信息列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseaseTreatmentPlanResVo> queryListByDiseaseId(String diseaseId) {

        return diseaseTreatmentPlanManageService.queryListByDiseaseId(diseaseId);

    }


    @ApiOperation("删除疾病处置计划")
    @DeleteMapping("/delete")
    public boolean deleteDiseaseTreatmentPlan(@RequestParam("id") String id) {

        return diseaseTreatmentPlanManageService.deleteDiseaseTreatmentPlan(id);

    }

    @ApiOperation("查询处置计划树")
    @GetMapping("/queryTree")
    public List<DiseaseTreatmentPlanTreeNode> queryTree(@ApiParam("处置方式")@RequestParam(required = false) Integer disposalMethod,
                                                        @ApiParam("疾病id") String diseaseId) {

        return diseaseTreatmentPlanManageService.queryDiseaseTreatmentPlanTree(disposalMethod,diseaseId);

    }


}
