package com.supervision.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.pojo.vo.MedicalRecInfoVO;
import com.supervision.manage.pojo.vo.MedicalRecManageVO;
import com.supervision.manage.pojo.vo.MedicalRecQaVO;
import com.supervision.vo.manage.DiseaseAncillaryResVo;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.vo.manage.DiseaseTreatmentPlanResVo;
import com.supervision.vo.manage.MedicalRecPageResVO;
import com.supervision.model.Disease;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface MedicalRecManageService {

    List<Disease> queryDiseaseListByDropList();

    List<Disease> queryDiseaseListByCreat();

    IPage<MedicalRecPageResVO> queryMedicalRecManagePage(String selfDescKeyword, String gender, String diseaseId, Integer pageNum, Integer pageSize);

    void createMedicalRec(MedicalRecManageVO reqVO);

    List<DiseaseAncillaryResVo> queryDiseaseAncillaryByCreat(String diseaseId);

    List<DiseasePhysicalResVo> queryDiseasePhysicalByCreat(String diseaseId);

    List<DiseaseTreatmentPlanResVo> queryDiseaseTreatmentPlanByCreat(String diseaseId);

    List<MedicalRecQaVO> queryQuestionListByCreat(String diseaseId);


    void modifyMedicalRec(MedicalRecManageVO reqVO);

    MedicalRecInfoVO queryMedicalRecInfo(String id);

    void deleteMedicalRec(String id);
}
