package com.supervision.manage.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import com.supervision.manage.service.PhysicalLocationManageService;
import com.supervision.model.ConfigPhysicalLocation;
import com.supervision.service.ConfigPhysicalLocationService;
import com.supervision.vo.manage.PhysicalLocationNode;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;


@Service
@RequiredArgsConstructor
public class PhysicalLocationManageServiceImpl implements PhysicalLocationManageService {

    private final ConfigPhysicalLocationService configPhysicalLocationService;
    @Override
    public List<PhysicalLocationNode> queryTree() {

        List<ConfigPhysicalLocation> list = configPhysicalLocationService.list();
        if (CollUtil.isEmpty(list)) {
            return CollectionUtil.newArrayList();
        }

        Map<String, PhysicalLocationNode> map = list.stream().collect(
                Collectors.toMap(ConfigPhysicalLocation::getId, p -> BeanUtil.toBean(p, PhysicalLocationNode.class)));

        for (Map.Entry<String, PhysicalLocationNode> entry : map.entrySet()) {
            PhysicalLocationNode value = entry.getValue();
            if (StrUtil.isNotEmpty(value.getParentId())) {
                PhysicalLocationNode physicalLocationNode = map.get(value.getParentId());
                if (!Objects.isNull(physicalLocationNode)) {
                    List<PhysicalLocationNode> child = physicalLocationNode.getChild();
                    if (null == child) {
                        child = new ArrayList<>();
                        physicalLocationNode.setChild(child);
                    }
                    child.add(value);
                }
            }
        }

        return map.values().stream().filter(n -> StrUtil.isEmpty(n.getParentId())).collect(Collectors.toList());
    }
}
