package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import lombok.Data;

/**
 * 诊断问询意图问题库
 * @TableName vp_ask_template_question_library
 */
@TableName(value ="vp_ask_template_question_library", autoResultMap = true)
@Data
public class AskTemplateQuestionLibrary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 字典值ID(关联common_dict表ID)
     */
    private Long dictId;

    /**
     * 编码
     */
    private String code;

    /**
     * 中文注释
     */
    private String description;

    /**
     * 问题列表
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> question;

    /**
     * 默认问题的回答
     */
    private String defaultAnswer;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}