package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

/**
 * 通用字典表
 * @TableName vp_common_dic
 */
@TableName(value ="vp_common_dic")
@Data
public class CommonDic extends Model<CommonDic> implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 字段码值
     */
    private String code;

    /**
     * 中文名
     */
    private String nameZh;

    /**
     * 英文名
     */
    private String nameEn;

    /**
     * 分组code
     */
    private String groupCode;

    /**
     * 父级id
     */
    private Long parentId;

    /**
     * 优先级,用来做排序等操作
     */
    private Integer priority;

    /**
     * 中文路径
     */
    private String nameZhPath;

    /**
     * 说明
     */
    private String description;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}