package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 辅助检查项目配置表
 *
 * @TableName vp_config_ancillary_item
 */
@TableName(value = "vp_config_ancillary_item", autoResultMap = true)
@Data
@ApiModel
public class ConfigAncillaryItem implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private String type;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 类别
     */
    @ApiModelProperty("类别")
    private String itemClass;

    /**
     * 检查名称
     */
    @ApiModelProperty("检查名称")
    private String itemName;

    @ApiModelProperty("检查部位名称")
    private String locationName;


    @ApiModelProperty("英文名")
    private String itemNameEn;

    @ApiModelProperty("检查价格")
    private BigDecimal price;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("说明")
    private String description;

    /**
     * 该项检查描述信息
     */
    @ApiModelProperty("该项检查描述信息")
    private String info;

    @ApiModelProperty("呼出问题")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> callOutQuestion;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}