package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 处置计划表
 * @TableName vp_treatment_plan
 */
@TableName(value ="vp_config_treatment_plan")
@Data
public class ConfigTreatmentPlan implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private String id;

    @ApiModelProperty("处置计划id")
    private String disposalPlanId;

    @ApiModelProperty("处置计划")
    private String disposalPlan;


    @ApiModelProperty("处置方式(0门诊 1住院)")
    private Integer disposalMethod;

    @ApiModelProperty("一级措施id")
    private String firstMeasuresId;

    @ApiModelProperty("一级措施")
    private String firstMeasures;


    @ApiModelProperty("二级措施")
    private String secondMeasures;


    @ApiModelProperty("推荐用药")
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> recommendedMedication;

    /**
     * 说明
     */
    private String description;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}