package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import org.apache.ibatis.annotations.Insert;

/**
 * 身体检查默认指标表
 * @TableName vp_default_item_indicator
 */
@TableName(value ="vp_default_item_indicator")
@Data
public class DefaultItemIndicator implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 工具id或项目id
     */
    private String itemId;

    /**
     * 位置id
     */
    private Integer locationId;

    /**
     * 性别  女/男
     */
    private String gender;

    /**
     * 年龄范围
     */
    private String ageRange;


    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */

    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}