package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 初步诊断表
 * @TableName vp_diagnosis_primary
 */
@TableName(value ="vp_diagnosis_primary")
@Data
@ApiModel
public class DiagnosisPrimary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断流程ID
     */
    @ApiModelProperty("诊断流程ID")
    private String processId;

    /**
     * 初步诊断疾病,关联disease表ID
     */
    @ApiModelProperty("初步诊断疾病ID,关联disease表ID")
    private String primaryDiagnosisId;

    @ApiModelProperty("初步诊断疾病名称,对应disease_name_alias,注意,这里不存在于数据库中")
    @TableField(exist = false)
    private String primaryDiagnosisName;

    @ApiModelProperty("是否排除(0否1是)")
    private Integer excludeFlag;

    @ApiModelProperty("患者病情(初步诊断填写)")
    private String patientDiseaseInfo;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;




}