package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 诊断问答记录表
 * @TableName vp_diagnosis_qa_record
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value ="vp_diagnosis_qa_record")
@Data
@ApiModel
public class DiagnosisQaRecord extends Model<DiagnosisQaRecord> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断进程ID
     */
    @ApiModelProperty("诊断进程ID")
    private String processId;

    @ApiModelProperty("问答类型:default,patient,如果patient,说明是病历配置的回答,打勾")
    private String answerType;

    /**
     * 问题答案表ID
     */
    @ApiModelProperty("问题答案表ID,default:vp_ask_template_question_library的主键,patient:vp_ask_patient_answer主键")
    private String answerId;

    /**
     * 问题
     */
    @ApiModelProperty("问题")
    private String question;

    /**
     * 问题ID
     */
    @ApiModelProperty("问题ID")
    private String questionLibraryId;

    /**
     * 问题语音文件ID
     */
    @ApiModelProperty("问题语音文件ID")
    private String questionWavId;

    /**
     * 回答
     */
    @ApiModelProperty("回答")
    private String answer;

    /**
     * 回答语音文件ID
     */
    @ApiModelProperty("回答语音文件ID")
    private String answerWavId;

    @ApiModelProperty("是否是证实诊断依据(0否1是)")
    private Integer basisConfirmFlag;

    @ApiModelProperty("是否是鉴别依据(0否1是)")
    private Integer basisIdentificationFlag;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}