package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病辅助检查
 * @TableName vp_disease_ancillary
 */
@TableName(value ="vp_disease_ancillary")
@Data
@ApiModel
public class DiseaseAncillary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病历ID
     */
    @ApiModelProperty("疾病id")
    private String diseaseId;

    /**
     * 工具ID
     */
    @ApiModelProperty("工具ID")
    private String itemId;

    @ApiModelProperty("初步诊断依据(0否1是)")
    private Integer primarilyDiagnosisCriteriaFlag;

    @ApiModelProperty("是否是证实诊断依据(0否1是)")
    private Integer basisConfirmFlag;

    @ApiModelProperty("是否是鉴别依据(0否1是)")
    private Integer basisIdentificationFlag;

    @ApiModelProperty("全面检查 0否1是")
    private Integer fullCheckFlag;

    @ApiModelProperty("是否诊断判读 0否1是")
    private Integer diagnosisAssessmentFlag;

    @ApiModelProperty("预期诊断结果 0正常 1 不正常")
    private Integer expectedDiagnosisResult;


    @ApiModelProperty("是否必查(0否1是)")
    private Integer requireCheckFlag;

    /**
     * 结果
     */
    @ApiModelProperty("结果")
    private String result;

    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String description;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}