package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病问题关联表
 * @TableName vp_disease_question_relation
 */
@TableName(value ="vp_disease_question")
@Data
public class DiseaseQuestion implements Serializable {
    /**
     * 主键id
     */
    private String id;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 问题id
     */
    private String questionId;

    /**
     * 创建人ID
     */
    @ApiModelProperty(hidden = true)
    private String createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private String updateUserId;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}