package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 病历表
 *
 * @TableName vp_medical_rec
 */
@TableName(value = "vp_medical_rec", autoResultMap = true)
@Data
public class MedicalRec extends Model<MedicalRec> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病例编号
     */
    private String no;

    /**
     * 姓名
     */
    private String patientName;

    /**
     * 性别 0:女 1:男
     */
    private String patientGender;

    /**
     * 年龄
     */
    private Integer patientAge;

    /**
     * 婚姻状况 0:未婚 1:已婚
     */
    private String patientMarriage;

    /**
     * 职业
     */
    private String patientProfession;

    /**
     * 电话
     */
    private String patientPhone;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 民族
     */
    private String patientNation;

    /**
     * 邮编
     */
    private String patientPostcode;

    /**
     * 出生地
     */
    private String patientBirthplace;

    /**
     * 现居住地址
     */
    private String patientHabitation;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 患者主诉
     */
    private String patientSelfDesc;

    /**
     * 症状
     */
    private String symptoms;

    @ApiModelProperty("初步诊断依据")
    private String primarilyDiagnosisCriteria;

    @ApiModelProperty("证实诊断依据")
    private String confirmDiagnosisCriteria;

    @ApiModelProperty("鉴别诊断依据")
    private String differentialDiagnosisCriteria;

    @ApiModelProperty("全面检查")
    private String fullCheck;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}