package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.supervision.handler.StringListTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 病人表
 *
 * @TableName vp_patient
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value = "vp_patient")
@Data
@ApiModel
@JsonIgnoreProperties(ignoreUnknown = true)
public class Patient extends Model<Patient> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人名称
     */
    @ApiModelProperty("病人名称")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 病人年龄
     */
    @ApiModelProperty("病人年龄")
    private Integer age;

    /**
     * 症状
     */
    @ApiModelProperty("症状")
    private String symptoms;

    /**
     * 身高
     */
    @ApiModelProperty("身高")
    private BigDecimal height;

    /**
     * 体重
     */
    @ApiModelProperty("体重")
    private BigDecimal weight;

    @ApiModelProperty("婚姻")
    private String marriage;

    @ApiModelProperty("职业")
    private String profession;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("资源id")
    private String resourceId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}