package com.supervision.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 诊断进程表
 * @TableName vp_process
 */
@TableName(value ="vp_process")
@Data
@ApiModel
public class Process implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人ID
     */
    @ApiModelProperty("病人ID")
    private String patientId;

    @ApiModelProperty("病历ID")
    private String medicalRecId;

    @ApiModelProperty("疾病ID")
    private String diseaseId;

    @ApiModelProperty("问诊编号")
    private String processNo;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private String userId;

    /**
     * 待问诊状态:新建成功后默认就是待问诊状态
     * 待处置：诊毕后，进入待处置
     * 已评估状态：处置结束，系统自动评估，就是已评估状态
     */
    @ApiModelProperty("任务状态  0:待问诊 1:待处置 2:已评估")
    private Integer status;

    @ApiModelProperty("实例类型 0：学习实例 1:考核实例")
    private Integer processType;

    @ApiModelProperty("结束问诊时间")
    private LocalDateTime finishAskTime;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}