package com.supervision.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问诊流程病历
 * @TableName vp_process_medical
 */
@TableName(value ="vp_process_medical")
@Data
public class ProcessMedical implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程id
     */
    private String processId;

    /**
     * 病历ID
     */
    private String medicalRecId;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 患者主诉
     */
    private String patientSelfDesc;


    /**
     * 个人史
     */
    private String personalHistory;


    /**
     * 现病史
     */
    private String illnessHistory;


    /**
     * 过敏史标识 0：否 1：是
     */
    private Integer allergyHistoryFlag;

    /**
     * 过敏史
     */
    private String allergyHistory;

    /**
     * 既往史标识 0：否 1：是
     */
    private Integer previousHistoryFlag;

    /**
     * 既往史
     */
    private String previousHistory;

    /**
     * 家族史标识 0：否 1：是
     */
    private Integer familyHistoryFlag;

    /**
     * 家族史
     */
    private String familyHistory;

    /**
     * 婚育史
     */
    private String marriageChildHistory;

    /**
     * 手术史标识 0：否 1：是
     */
    private Integer operationHistoryFlag;

    /**
     * 手术史
     */
    private String operationHistory;


    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}