package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 处置计划记录表
 * @TableName vp_treatment_plan_record
 */
@TableName(value ="vp_treatment_plan_record")
@Data
public class TreatmentPlanRecord implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程实例id
     */
    private String processId;

    /**
     * 处置计划id 对应于 一级措施id
     */
    private String treatmentPlanId;

    /**
     * 处置方式(0门诊 1住院)
     */
    private Integer disposalMethod;

    /**
     * 处置计划
     */
    private String disposalPlan;

    /**
     * 一级措施
     */
    @TableField(exist = false)
    private String firstMeasures;

    /**
     * 药品编码
     */
    private String drugId;

    /**
     * 药品名
     */
    @TableField(exist = false)
    private String drugName;

    /**
     * 用药途径(0:口服 1:静脉注射  2:静脉输液 3:皮下注射 4:局部用药 5:气雾剂/粉雾剂吸入 6:雾化吸入 7:鞘内注射 )
     */
    private Integer drugRoute;

    /**
     * 用药间隔(0：每日一次 1：每日两次 2：每日三次 3：每日四次)
     */
    private Integer intervalDay;

    /**
     * 每小时间隔
     */
    private Double intervalHour;

    /**
     * 说明
     */
    private String guide;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}