package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.AskTemplateQuestionLibrary;
import com.supervision.service.AskTemplateQuestionLibraryService;
import com.supervision.mapper.AskTemplateQuestionLibraryMapper;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_ask_template_question_library(诊断问询意图问题库)】的数据库操作Service实现
* @createDate 2023-11-03 11:13:26
*/
@Service
public class AskTemplateQuestionLibraryServiceImpl extends ServiceImpl<AskTemplateQuestionLibraryMapper, AskTemplateQuestionLibrary>
    implements AskTemplateQuestionLibraryService{

    @Override
    public List<AskQuestionLibraryResVo> queryList(AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return super.getBaseMapper().queryList(askQuestionLibraryReqVo);
    }

    @Override
    public Page<AskQuestionLibraryResVo> queryPageList(Integer pageNum, Integer pageSize,
                                                       AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return super.getBaseMapper().queryPageList(new Page<>(pageNum,pageSize),askQuestionLibraryReqVo);
    }
}




