package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiagnosisPrimary;
import com.supervision.service.DiagnosisPrimaryService;
import com.supervision.mapper.DiagnosisPrimaryMapper;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import com.supervision.vo.ask.DiagnosticBasisForPrimaryResVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_primary(初步诊断表)】的数据库操作Service实现
* @createDate 2023-10-26 11:33:21
*/
@Service
public class DiagnosisPrimaryServiceImpl extends ServiceImpl<DiagnosisPrimaryMapper, DiagnosisPrimary>
    implements DiagnosisPrimaryService{

    @Override
    public List<DiagnosisPrimaryVO> queryAskPrimaryList(String processId) {
        return this.baseMapper.queryAskPrimaryList(processId);
    }

    @Override
    public List<DiagnosisPrimaryVO> queryAskPrimaryListByProcessIds(List<String> processIds) {

        return super.baseMapper.queryAskPrimaryListByProcessIds(processIds);
    }

    @Override
    public List<DiagnosticBasisForPrimaryResVO> queryDiagnosticBasisListForPrimary(String processId) {
        return this.baseMapper.queryDiagnosticBasisListForPrimary(processId);
    }
}




