package com.supervision.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiseaseQuestion;
import com.supervision.service.DiseaseQuestionService;
import com.supervision.mapper.DiseaseQuestionMapper;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseQuestionResVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vp_disease_question_relation(疾病问题关联表)】的数据库操作Service实现
* @createDate 2023-11-23 14:06:54
*/
@Service
public class DiseaseQuestionServiceImpl extends ServiceImpl<DiseaseQuestionMapper, DiseaseQuestion>
    implements DiseaseQuestionService {

    @Override
    public List<DiseaseQuestionResVo> queryPageByDiseaseId(String diseaseId) {

        return super.getBaseMapper().queryPageByDiseaseId(diseaseId);
    }

    @Override
    public Page<AskQuestionLibraryResVo> queryQaLibPageList(Integer pageNum, Integer pageSize,
                                                            AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        IPage<AskQuestionLibraryResVo>page = new Page<>(pageNum,pageSize);

        return super.getBaseMapper().queryQaLibPageList(page,askQuestionLibraryReqVo);
    }
}




