package com.supervision.vo.ask;

import com.supervision.model.ProcessMedical;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = true)
public class ProcessMedicalResVo extends ProcessMedical {

    /**
     * 问诊编号
     */
    private String processNo;

    /**
     * 实例类型  0：学习实例 1:考核实例
     */
    private String processType;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 病例编号
     */
    private String medicalRecNo;

    /**
     * 最近问诊时间
     */
    private LocalDateTime recentTime;

    /**
     * 姓名
     */
    private String patientName;

    /**
     * 性别 0:女 1:男
     */
    private String patientGender;

    /**
     * 年龄
     */
    private Integer patientAge;

    /**
     * 婚姻状况 0:未婚 1:已婚
     */
    private String patientMarriage;

    /**
     * 职业
     */
    private String patientProfession;

    /**
     * 电话
     */
    private String patientPhone;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 民族
     */
    private String patientNation;

    /**
     * 邮编
     */
    private String patientPostcode;

    /**
     * 出生地
     */
    private String patientBirthplace;

    /**
     * 现居住地址
     */
    private String patientHabitation;

    /**
     * 结束问诊时间
     */
    private LocalDateTime finishAskTime;


}
