package com.supervision.vo.manage;

import cn.hutool.crypto.digest.MD5;
import com.supervision.model.DiseaseAncillary;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class DiseaseAncillaryResVo extends DiseaseAncillary {

    @ApiModelProperty("项目名称")
    private String itemName;

    @ApiModelProperty("项目类型")
    private String itemType;

    @ApiModelProperty("项目id路径")
    private List<String> itemIdPath;

    @ApiModelProperty("诊断依据 0：初步诊断依据 1：证实诊断依据 2：鉴别诊断依据 3：全面诊断依据")
    private List<Integer> diagnosticCriteria;

    /**
     * 聚合诊断依据 通过  primarilyDiagnosisCriteriaFlag basisConfirmFlag basisIdentificationFlag fullCheckFlag
     * 属性值设置 诊断依据的值
     */
    public void aggregationDiagnosticCriteria(){

        if (null == diagnosticCriteria){
            diagnosticCriteria = new ArrayList<>();
        }

        if (Integer.valueOf(1).equals(super.getPrimarilyDiagnosisCriteriaFlag())){
            diagnosticCriteria.add(0);
        }

        if (Integer.valueOf(1).equals(super.getBasisConfirmFlag())){
            diagnosticCriteria.add(1);
        }

        if (Integer.valueOf(1).equals(super.getBasisIdentificationFlag())){
            diagnosticCriteria.add(2);
        }

        if (Integer.valueOf(1).equals(super.getFullCheckFlag())){
            diagnosticCriteria.add(3);
        }

    }

    public void initItemIdPath(){
        if (null == itemIdPath){
            itemIdPath = new ArrayList<>();
        }
        itemIdPath.add(new MD5().digestHex16(itemType));
        itemIdPath.add(getItemId());
    }

    public void populateOther(){
        aggregationDiagnosticCriteria();
        initItemIdPath();
    }

}
