package com.supervision.vo.manage;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.supervision.model.DiseasePhysical;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class DiseasePhysicalReqVo extends DiseasePhysical {


    @ApiModelProperty("诊断依据 0：初步诊断依据 1：证实诊断依据 2：鉴别诊断依据 3：全面诊断依据")
    private List<Integer> diagnosticCriteria;


    /**
     * 离散诊断依据 通过诊断依据中的数据设置 primarilyDiagnosisCriteriaFlag basisConfirmFlag basisIdentificationFlag fullCheckFlag
     */
    public void floatDiagnosticCriteria(){

        if (null == diagnosticCriteria){
            diagnosticCriteria =  new ArrayList<>();
        }

        super.setPrimarilyDiagnosisCriteriaFlag(diagnosticCriteria.contains(0) ? 1 : 0);

        super.setBasisConfirmFlag(diagnosticCriteria.contains(1) ? 1 : 0);

        super.setBasisIdentificationFlag(diagnosticCriteria.contains(2) ? 1 : 0);

        super.setFullCheckFlag(diagnosticCriteria.contains(3) ? 1 : 0);

    }
}
