package com.supervision.vo.manage;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TreatmentPlanTreeNode {

   @ApiModelProperty("处置计划id")
   private String id;

   @ApiModelProperty("节点名称")
   private String name;

   @ApiModelProperty("子节点")
   private List<TreatmentPlanTreeNode> child;


   public TreatmentPlanTreeNode() {
   }

   public TreatmentPlanTreeNode(String id, String name) {
      this.id = id;
      this.name = name;
   }

   @JsonIgnore
   public List<TreatmentPlanTreeNode> getOrDefaultChild(){
      if (null == child){
         child = new ArrayList<>();
      }
      return child;
   }

   public TreatmentPlanTreeNode findChildByName(String name){
      if (CollUtil.isEmpty(child) || StrUtil.isEmpty(name)){
         return null;
      }

     return child.stream().filter(node -> name.equals(node.getName())).findFirst().orElse(null);


   }
}
