package com.supervision.rasa;

import com.supervision.config.WebConfig;
import com.supervision.rasa.service.RasaModelManager;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.FilterType;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@MapperScan(basePackages = {"com.supervision.**.mapper"})
// 排除JWT权限校验
@ComponentScan(basePackages = {"com.supervision"},excludeFilters = @ComponentScan.Filter(type = FilterType.ASSIGNABLE_TYPE, classes = {WebConfig.class}))
public class VirtualPatientRasaApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext context = SpringApplication.run(VirtualPatientRasaApplication.class, args);

        RasaModelManager rasaModelManager = context.getBean(RasaModelManager.class);
        rasaModelManager.wakeUpInterruptServerScheduled();
    }

}
