package com.supervision.controller;

import com.supervision.pojo.vo.DiagnosisResultResVO;
import com.supervision.pojo.vo.FinishAskReqVO;
import com.supervision.service.AskDiagnosisResultService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Api(tags = "评估详情")
@RestController
@RequestMapping("/askDiagnosisResult")
@RequiredArgsConstructor
public class AskDiagnosisResultController {

    private final AskDiagnosisResultService askDiagnosisResultService;

    @ApiOperation("查询最终诊断结果")
    @GetMapping("queryDiagnosisResult")
    public DiagnosisResultResVO queryDiagnosisResult(String processId){
        return askDiagnosisResultService.queryDiagnosisResult(processId);
    }
}
