package com.supervision.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.service.DiagnoseHallService;
import com.supervision.vo.manage.MedicalRecPageResVO;
import com.supervision.vo.result.DiagnoseProcessReqVo;
import com.supervision.vo.result.DiagnoseProcessResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 问诊大厅
 */
@Api(tags = "问诊大厅")
@RestController
@RequestMapping("diagnoseHall")
@RequiredArgsConstructor
public class DiagnoseHallController {

    private final DiagnoseHallService diagnoseHallService;

    @ApiOperation("获取问诊资源")
    @GetMapping("achieveDiagnoseResource")
    public boolean achieveDiagnoseResource(){
        return diagnoseHallService.achieveDiagnoseResource();
    }

    @ApiOperation("分页查询问诊流程列表")
    @GetMapping("queryDiagnoseProcessPageList")
    public IPage<DiagnoseProcessResVo> queryDiagnoseProcessPageList(@ApiParam("起始页") @RequestParam(defaultValue = "1") Integer pageNum,
                                                                    @ApiParam("每页大小") @RequestParam(defaultValue = "10") Integer pageSize,
                                                                    DiagnoseProcessReqVo diagnoseProcessReqVo) {
        return diagnoseHallService.queryDiagnoseProcessPageList(pageNum, pageSize, diagnoseProcessReqVo);
    }


    @ApiOperation("分页查询病例信息列表")
    @GetMapping("queryMedicalRecPageList")
    public IPage<MedicalRecPageResVO> queryMedicalRecPageList(@ApiParam("起始页") @RequestParam(defaultValue = "1") Integer pageNum,
                                                             @ApiParam("每页大小") @RequestParam(defaultValue = "10") Integer pageSize) {
        return diagnoseHallService.queryMedicalRecPageList(pageNum, pageSize);
    }

}
