package com.supervision.controller;

import cn.hutool.core.bean.BeanUtil;
import com.supervision.model.ProcessMedical;
import com.supervision.service.MedicalRecordService;
import com.supervision.vo.ask.ProcessMedicalLayerResVo;
import com.supervision.vo.ask.ProcessMedicalResVo;
import com.supervision.vo.ask.ProcessMedicalViewDetailResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;


@Slf4j
@Api(tags = "电子病例")
@RestController
@RequestMapping("medicalRecord")
@RequiredArgsConstructor
public class MedicalRecordController {

    private final MedicalRecordService medicalRecordService;

    /**
     *  @Deprecated: 由updateMedicalRecord接口统一完成新增和更新操作
     * @param processMedical 问诊流程病历
     * @return 是否新增成功
     */
    @Deprecated
    @ApiOperation("新增电子病例信息")
    @PostMapping("save")
    public boolean saveMedicalRecord(@RequestBody ProcessMedical processMedical){

        return medicalRecordService.saveMedicalRecord(processMedical);
    }

    @ApiOperation("更新电子病例信息")
    @PutMapping("update")
    public boolean updateMedicalRecord(@RequestBody ProcessMedical processMedical){

        return medicalRecordService.saveOrUpdateMedicalRecord(processMedical);
    }

    @ApiOperation("通过流程id查询电子病例信息")
    @GetMapping("findByProcessId")
    public ProcessMedicalLayerResVo findByProcessId(@ApiParam("流程id") @RequestParam("processId") String processId){

        return ProcessMedicalLayerResVo.ProcessMedicalResVoToBean(medicalRecordService.findByProcessId(processId));
    }


    @ApiOperation("电子病例视图")
    @GetMapping("queryViewDetails")
    public ProcessMedicalViewDetailResVo queryViewDetail(@ApiParam("流程id") @RequestParam("processId") String processId){

        return medicalRecordService.queryViewDetail(processId);
    }
}
