package com.supervision.usermanage;

import cn.hutool.json.JSONUtil;
import com.supervision.constant.UserTokenConstant;
import com.supervision.controller.WebSocketServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.stereotype.Component;

import java.io.IOException;


@Slf4j
@Component
public class KickUserListener implements MessageListener {

    @Autowired
    private UserResourceCheck userResourceCheck;

    @Override
    public void onMessage(Message message, byte[] pattern) {
        String messageString = message.toString();
        UserWebSocketDTO user = JSONUtil.toBean(messageString, UserWebSocketDTO.class);
        log.info("Redis的Channel:{}收到踢用户{}下线消息", UserTokenConstant.KICK_CHANNEL, user.getUserId());
        userResourceCheck.kickUser(user.getUserId(), user.getIgnoreSessionId());
    }
}
